package org.gcube.smartgears.publishing;

import java.util.Set;

import org.gcube.smartgears.context.application.ApplicationContext;
import org.gcube.smartgears.context.container.ContainerContext;

public interface Publisher {

	boolean create(ContainerContext container, Set<String> contexts);
	
	boolean create(ApplicationContext application, Set<String> contexts);
	
	boolean update(ApplicationContext application);
	
	boolean update(ContainerContext container);
	
	boolean remove(ApplicationContext application, Set<String> contexts);
	
	boolean remove(ContainerContext application, Set<String> contexts);
}
